> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim App Fees

> This API claims app fees for a specific wallet.

[What are app fees?](/features/app-fees)


## OpenAPI

````yaml post /app-fees/{wallet}/claim
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /app-fees/{wallet}/claim:
    post:
      parameters:
        - schema:
            type: string
          in: path
          name: wallet
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                chainId:
                  type: number
                  description: Chain id of the currency to claim
                currency:
                  type: string
                  description: Currency to claim
                amount:
                  type: string
                  description: Amount to claim
                  pattern: ^[0-9]+$
                recipient:
                  type: string
                  description: The recipient of the claimed funds
              required:
                - chainId
                - currency
                - recipient
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  steps:
                    type: array
                    description: An array of steps detailing what needs to be done to claim
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier tied to the step
                        action:
                          type: string
                          description: A call to action for the step
                        description:
                          type: string
                          description: A short description of the step and what it entails
                        kind:
                          type: string
                          description: >-
                            The kind of step, for claims this will be
                            `signature`
                        items:
                          type: array
                          description: >-
                            For claims, we'll always have a single `signature`
                            step
                          items:
                            type: object
                            properties:
                              status:
                                type: string
                                description: Can either be complete or incomplete
                              data: {}
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Descriptive error message

````